classification
Title: Bad target address assigned in Python Manuals shortcut on Python installation
Type: Stage: resolved
Components: Windows Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: Y3Kv Bv, miss-islington, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2019-10-25 13:36 by Y3Kv Bv, last changed 2019-10-28 21:55 by miss-islington. This issue is now closed.

Files
File name Uploaded Description Edit
Python 3.8.0 (64-bit)_20191026201510_005_doc_AllUsers.log Y3Kv Bv, 2019-10-26 17:25
Pull Requests
URL Status Linked Edit
PR 16968 merged steve.dower, 2019-10-28 17:50
PR 16970 merged miss-islington, 2019-10-28 21:34
PR 16971 merged miss-islington, 2019-10-28 21:34
Messages (7)
msg355369 - (view) Author: Y3Kv Bv (Y3Kv Bv) Date: 2019-10-25 13:36
Since Python 3.7 I'm getting broken shortcut to Python 3.x Manuals:
the installer doesn't seem to check for correct path to hh.exe; sets "C" as drive letter. (Yet path to python3xx.chm starts with correct drive letter.)
msg355420 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-10-26 17:02
If you look in your %TEMP% directory, you'll find a set of log files from your Python install (maybe sort by date).

One of these will end in "doc". Could you share that file?
msg355422 - (view) Author: Y3Kv Bv (Y3Kv Bv) Date: 2019-10-26 17:25
Here you go.
msg355577 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-10-28 17:49
Thanks. Turns out it's a typo that's been around forever, but is really not obvious until you install Windows somewhere other than C:\Windows.

Apparently that's far less common than it used to be :)

We'll get it fixed in the next round of releases.
msg355593 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-10-28 21:34
New changeset 0ac6137dd3d1e2c8f9558153ad63021f57e05e73 by Steve Dower in branch 'master':
bpo-38589: Fixes HTML Help shortcut when Windows is not installed to C drive (GH-16968)
https://github.com/python/cpython/commit/0ac6137dd3d1e2c8f9558153ad63021f57e05e73
msg355595 - (view) Author: miss-islington (miss-islington) Date: 2019-10-28 21:52
New changeset 379b55b526a04e6db40c7070fd70f0d7d37bba64 by Miss Skeleton (bot) in branch '3.7':
bpo-38589: Fixes HTML Help shortcut when Windows is not installed to C drive (GH-16968)
https://github.com/python/cpython/commit/379b55b526a04e6db40c7070fd70f0d7d37bba64
msg355596 - (view) Author: miss-islington (miss-islington) Date: 2019-10-28 21:55
New changeset 2267cb9da4a1fd8bb4962beb893e1f69a37909a7 by Miss Skeleton (bot) in branch '3.8':
bpo-38589: Fixes HTML Help shortcut when Windows is not installed to C drive (GH-16968)
https://github.com/python/cpython/commit/2267cb9da4a1fd8bb4962beb893e1f69a37909a7
History
Date User Action Args
2019-10-28 21:55:13miss-islingtonsetmessages: + msg355596
2019-10-28 21:52:03miss-islingtonsetnosy: + miss-islington
messages: + msg355595
2019-10-28 21:35:48steve.dowersetstatus: open -> closed
assignee: steve.dower
resolution: fixed
stage: patch review -> resolved
2019-10-28 21:34:52miss-islingtonsetpull_requests: + pull_request16498
2019-10-28 21:34:43miss-islingtonsetpull_requests: + pull_request16497
2019-10-28 21:34:31steve.dowersetmessages: + msg355593
2019-10-28 17:50:37steve.dowersetkeywords: + patch
stage: patch review
pull_requests: + pull_request16495
2019-10-28 17:49:33steve.dowersetmessages: + msg355577
versions: + Python 3.9
2019-10-26 17:25:50Y3Kv Bvsetfiles: + Python 3.8.0 (64-bit)_20191026201510_005_doc_AllUsers.log

messages: + msg355422
2019-10-26 17:02:55steve.dowersetmessages: + msg355420
2019-10-25 22:26:03ned.deilysetnosy: + paul.moore, tim.golden, zach.ware, steve.dower
components: + Windows
2019-10-25 13:36:19Y3Kv Bvcreate